<div ng-controller="ParcelaCtrl">
    <div class="page page-tables-bootstrap">
    	<div class="panel">
    		<div class="panel-body">
    			<div class="row">
					<div class="col-md-5">
						Productor : <strong>{{productor.fullname}}</strong>
					</div>
					<div class="col-md-3">
						<!-- Aréa Total : <strong>{{productor.area_total | number : 2}}</strong> -->
					</div>
					<div class="col-md-4">
						<div class="pull-right">
							<a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="home.productor.productor"><i class="fa fa-arrow-left"></i>  Regresar</a>
						</div>
					</div>
				</div>
    		</div>
    	</div>    	
        <div class="panel panel-default">
            <div class="panel-heading">
            	<h3 class="panel-title"><i class="fa fa-list"></i> Listado de Parcelas</h3>
            </div>
          	<div class="panel-body">
          		<div class="row">
		          	<div class="col-md-6">
		          		<input type="text" class="form-control"  ng-model="buscar" placeholder="Buscar Parcela">
		          	</div>
		          	<div class="col-md-2">
		          		
		          	</div>
		          	<div class="col-md-4">
		          		<button class="btn btn-success btn-block btn-border btn-rounded-20" data-options="splash-2 splash-ef-14" ng-click="clear();openModalSave($event)"><i class="fa fa-plus"></i> agregar parcela</button>
		          	</div>
	          	</div>
	            <hr>
	            <div class="row" ng-if="flag">
		          	<div class="col-md-12">
		          		<ng-include src="'views/home/others/loading.html'">
						</ng-include>
		          	</div>
	          	</div>
	          	<div class="row" ng-if="!flag">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-bordered table-condensed table-hover">
								<thead>
									<tr>
										<th>Número</th>
										<th>Código Parcela</th>
										<th>Tipo de Propiedad</th>
										<th>Arrendador</th>
										<th>Empacadora</th>
										<th>Sector</th>
										<th>Área Total</th>
										<th>Área Sembrada</th>
										<th>Deshije</th>
										<th>Estado</th>
										<th class="text-center">Opciones</th>
									</tr>
								</thead>
								<tbody>
									<tr dir-paginate="par in parcelas |filter: buscar | itemsPerPage: 10" pagination-id="par.id">
										<td class="vertical-center text-center">{{par.numero_parcela}}</td>
										<td class="vertical-center">{{par.codigo_parcela}}</td>
										<td class="vertical-center">{{par.nombre_tipo_propiedad}}</td>
										<td class="vertical-center">{{par.arrendador}}</td>
										<td class="vertical-center">{{par.nombre_empacadora}}</td>
										<td class="vertical-center">{{par.nombre_sector}}</td>
										<td class="vertical-center text-center">{{par.ha_total}} ha</td>
										<td class="vertical-center text-center">{{par.ha_sembrada}} ha</td>
										<td class="vertical-center text-center">{{par.nombre_deshije}}</td>
										<td class="vertical-center text-center">
											<span style="color: white;background: {{par.color_estado_parcela}};" class="label">{{par.estado_parcela}}</span>
										</td>
										<td class="vertical-center text-center">
											<button class="btn btn-rounded-20 btn-default btn-sm mr-5" data-options="splash-2 splash-ef-14" ng-click="load(par);openModalSave($event)"><i class="fa fa-edit"></i></button>
											<button class="btn btn-rounded-20 btn-default btn-sm mr-5" data-options="splash-2 splash-ef-14" ng-click="load(par);openModalDelete($event)"><i class="fa fa-trash"></i></button>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="text-center">
							<dir-pagination-controls pagination-id="par.id"></dir-pagination-controls>
						</div>
					</div>
			    </div>
			</div>
			<!-- <div class="panel-footer">
				<div class="text-center">
					ALISSA CORP. - &copy; Copyright 2017
				</div>
			</div> -->
		</div>
	</div>
	<script type="text/ng-template" id="modal_parcela.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
            <legend class="text-center"><span ng-if="obj.crud">Nuevo</span><span ng-if="!obj.crud">Actualizar</span> Parcela</legend>
            
            <form ng-submit="createEdit()">
            	<div class="row">
					
					<div class="col-md-6">
	               		<div class="form-group">
							<label for="">Código Parcela<span class="obligatorio">*</span></label>
							<input type="text" class="form-control" id="codigo_parcela" ng-model="obj.codigo_parcela" placeholder="Código Parcela" required>
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Tipo Propiedad</label>
							<select class="form-control" ng-model="obj.tipo_propiedad" ng-options="tp.id as tp.nombre for tp in tiposPropiedad">
                                <option value="">-- Seleccione Item --</option>
                            </select>
						</div>
	                </div>

	                <div class="col-md-12">
	               		<div class="form-group">
							<label for="">Arrendador<span class="obligatorio">*</span></label>
							<input type="text" class="form-control" id="arrendador" ng-model="obj.arrendador" placeholder="Arrendador de la parcela">
						</div>
					</div>
            		
					<div class="col-md-6">
						<div class="form-group">
							<label for="">Área Total (ha)<span class="obligatorio">*</span></label>
							<input type="text" class="form-control" id="ha_total" ng-model="obj.ha_total" placeholder="Ha total" required>
						</div>
	               	</div>
	               	<div class="col-md-6">
	               		<div class="form-group">
							<label for="">Área Sembrada (ha)<span class="obligatorio">*</span></label>
							<input type="text" class="form-control" id="ha_sembrada" ng-model="obj.ha_sembrada" placeholder="Ha sembrada" required>
						</div>
					</div>
	               	
					<div class="col-md-6">
						<div class="form-group">
	               			<label for="">Empacadora <span class="obligatorio">*</span></label>
							<select class="form-control" ng-model="obj.id_empacadora" ng-options="emp.id as emp.nombre for emp in empacadoras" required>
                                <option value="">-- Seleccione Empacadora --</option>
                            </select>
						</div>
	               	</div>
	               	<div class="col-md-6">
	               		<div class="form-group">
							<label for="">Sector <span class="obligatorio">*</span></label>
							<select class="form-control" ng-model="obj.id_sector" ng-options="sec.id as sec.nombre for sec in sectores" required>
                                <option value="">-- Seleccione Sector --</option>
                            </select>
						</div>
					</div>

					<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Deshije</label>
							<select class="form-control" ng-model="obj.deshije" ng-options="deshije.id as deshije.nombre for deshije in deshijes">
                                <option value="">-- Seleccione Item --</option>
                            </select>
						</div>
	                </div>

	            </div>

               <div class="mt-20">
                    <div class="text-center">
		                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="ok()"><i class="fa fa-close"></i> Cancelar</button>
		                <button type="submit" class="btn btn-primary btn-border btn-rounded-20"><i class="fa fa-save"></i> <span ng-if="obj.crud">Guardar</span><span ng-if="!obj.crud">Actualizar</span></button>
		            </div>
               </div>                   
            </form>
        </div>
    </script>
    <script type="text/ng-template" id="modal_parcela_delete.html">
        <div class="modal-header">
    		<div class="text-center">
                <h4 class="modal-title custom-font">¿Desea eliminar esta Parcela?</h4>
            </div>
        </div>
        <div class="modal-body">
        	<div class="text-center">
                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="ok()"><i class="fa fa-close"></i> Cancelar</button>
                <button type="submit" class="btn btn-danger btn-border btn-rounded-20" ng-click="delete()" data-dismiss="modal"><i class="fa fa-check"></i> Eliminar</button>
            </div>
        </div>
    </script>
</div>